Apache Flink 1.14.6 发布,流处理框架

来源: OSCHINA
2022-09-29 07:26:36

Apache Flink 1.14.6 现已发布,这是一个错误修复版本。包括针对 Flink 1.14 的 34 个错误修复、漏洞修复和小改进。有关所有更改的完整列表可参阅:JIRA。官方强烈建议所有用户升级到 Flink 1.14.6。

具体更新内容包括:

Bug

  • [FLINK-24862]- 用户定义的 hive udaf/udtf 不能在 hive dialect 中正常使用
  • [FLINK-25454]- 吞吐量计算器中的负数时间
  • [FLINK-27041]- 如果任何主题分区为空,则批处理模式下的 KafkaSource 会失败
  • [FLINK-27399]- Pulsar 连接器未正确设置开始消耗位置
  • [FLINK-27418]- Flink SQL TopN 结果是错误的
  • [FLINK-27683]- 插入到 (column1, column2)Values(.....) 失败,并带有 SQL 提示
  • [FLINK-27762]-  Kafka 在处理 splits changes 时出现 WakeupException
  • [FLINK-28019]- RetractableTopNFunction 在启用状态 ttl 的情况下收回 stale record 时出现错误
  • [FLINK-28057]- LD_PRELOAD 在 flink-docker 上硬编码为x64
  • [FLINK-28357]- 恢复 Finished sources 时的水印问题
  • [FLINK-28454]- 修复了 KafkaSource 的错误时间戳示例
  • [FLINK-28609]- Flink-Pulsar 连接器在较大的架构上失败
  • [FLINK-28880]- 修复了 CEP 文档中关于循环模式的严格连续的错误结果
  • [FLINK-28908]- 在 PyFlink 中,LIST 类型的编码选择不正确。
  • [FLINK-28978]- Kinesis 连接器不适用于新的 AWS 区域
  • [FLINK-29130]- 纠正文档中对 state.backend.local-recovery 的描述
  • [FLINK-29138]- Project pushdown 不适用于 lookup source

Improvement

  • [FLINK-27865]- 添加在 Kafka SQL 连接器文档中配置 SASL 和 SSL 的指南和示例
  • [FLINK-28094]- 升级 AWS SDK 以支持 ap-southeast-3

发布公告:https://flink.apache.org/news/2022/09/28/release-1.14.6.html 

展开阅读全文
4 收藏
分享
0 评论
4 收藏
分享
返回顶部
顶部